summaryrefslogtreecommitdiff
path: root/dev-libs/libdnet/libdnet-1.14-r1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libdnet/libdnet-1.14-r1.ebuild')
-rw-r--r--dev-libs/libdnet/libdnet-1.14-r1.ebuild31
1 files changed, 15 insertions, 16 deletions
diff --git a/dev-libs/libdnet/libdnet-1.14-r1.ebuild b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
index a57d98ceac43..bb199036984d 100644
--- a/dev-libs/libdnet/libdnet-1.14-r1.ebuild
+++ b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
AT_M4DIR="config"
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
DISTUTILS_OPTIONAL=1
@@ -10,22 +11,20 @@ inherit autotools distutils-r1
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/ofalk/libdnet"
SRC_URI="https://github.com/ofalk/${PN}/archive/${P}.tar.gz"
-LICENSE="LGPL-2"
+S="${WORKDIR}/${PN}-${P}"
+LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="python static-libs test"
-
-DEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-RDEPEND="
- ${DEPEND}
-"
-RESTRICT="test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
+
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+
DOCS=( README.md THANKS TODO )
-S=${WORKDIR}/${PN}-${P}
+
PATCHES=(
"${FILESDIR}"/${PN}-1.14-ndisc.patch
"${FILESDIR}"/${PN}-1.14-strlcpy.patch
@@ -48,7 +47,7 @@ src_prepare() {
eautoreconf
if use python; then
- cd python
+ cd python || die
distutils-r1_src_prepare
fi
}
@@ -62,7 +61,7 @@ src_configure() {
src_compile() {
default
if use python; then
- cd python
+ cd python || die
distutils-r1_src_compile
fi
}
@@ -70,9 +69,9 @@ src_compile() {
src_install() {
default
if use python; then
- cd python
+ cd python || die
unset DOCS
distutils-r1_src_install
fi
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}